%define		vers	4.0-20090224
%define		hpi	20090224
Summary:	Foomatic Printer Database.
Name:		foomatic
Version:	4.0_20090224
Release:	1
License:	LGPL/GPL
Group: 		Libraries
Source0:	foomatic-filters-%{vers}.tar.gz
Source1:	foomatic-db-%{vers}.tar.gz
Source2:	foomatic-db-hpijs-%{hpi}.tar.gz
Source3:	foomatic-db-engine-%{vers}.tar.gz
URL:		http://www.linuxprinting.org/download/foomatic/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
BuildRequires:	libxml2 libxml2-devel zlib zlib-devel perl gimp gimp-devel enscript mpage
%define		_sysconfdir	/etc
%define		_prefix		/usr

%description
Foomatic is a comprehensive, spooler-independent database of printers,
printer drivers, and driver descriptions. It contains utilities to
generate driver description files and printer queues for CUPS, LPD,
LPRng, and PDQ using the database. There is also the possibility to
read the PJL options out of PJL-capable laser printers and take them
into account at the driver description file generation.

There are spooler-independent command line interfaces to manipulate
queues (foomatic-configure) and to print files/manipulate jobs
(foomatic printjob).
The site http://www.linuxprinting.org/ is based on this database.

'cups-genppdupdate' to update gutenprint ppd's if you dont want to wait 
for a full foomatic-compiledb build.

Unlike with the CUPS native driver, there is no simple way to update all
PPD files when you install a new version of Gutenprint.  You must either
use the 'foomatic-ppdfile' command to upgrade PPD files individually, or 
'foomatic-compiledb' to build all PPD files which aLinux uses.

%prep
%setup -q -n foomatic-filters-%{vers}* -a 1 -a 2 -a 3
touch -c `find .`

%build
%configure --enable-cups
make PREFIX=%{_prefix} INSTALLPREFIX=%buildroot CFLAGS="$RPM_OPT_FLAGS"
cd foomatic-db-200*
%configure --enable-cups
make PREFIX=%{_prefix} INSTALLPREFIX=%buildroot CFLAGS="$RPM_OPT_FLAGS"
cd ../foomatic-db-hpijs*
%configure --enable-cups
make PREFIX=%{_prefix} INSTALLPREFIX=%buildroot CFLAGS="$RPM_OPT_FLAGS"
cd ../foomatic-db-engin*
%configure --enable-cups
make PREFIX=%{_prefix} INSTALLPREFIX=%buildroot CFLAGS="$RPM_OPT_FLAGS"
ln -sf ../foomatic-filters-%{vers} ../foomatic-filters
# Comment out next line when building for the first time.
#make filters-ppds

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/foomatic/db/source/PPD
# Comment out next line when building for the first time.
#cp -R foomatic-db-engine-%{vers}/foomatic-filters-ppds-%{release}/share/ppd/* $RPM_BUILD_ROOT/usr/share/foomatic/db/source/PPD
make DESTDIR=$RPM_BUILD_ROOT install
cd foomatic-db-200*
make DESTDIR=$RPM_BUILD_ROOT install
cd ../foomatic-db-hpijs*
make DESTDIR=$RPM_BUILD_ROOT install
cd ../foomatic-db-engin*
chmod 755 mkinstalldirs
make DESTDIR=$RPM_BUILD_ROOT install
cd $RPM_BUILD_ROOT/usr/bin; ln -sf foomatic-ppdfile foomatic-datafile
rm -rf $RPM_BUILD_ROOT/usr/share/foomatic/db/source/PPD/*
ln -sf foomatic-rip $RPM_BUILD_ROOT/usr/lib/cups/filter/cupsomatic
mv $RPM_BUILD_ROOT/pkg/usr/lib/perl5 $RPM_BUILD_ROOT/usr/lib/; rm -r $RPM_BUILD_ROOT/pkg

pushd $RPM_BUILD_ROOT
rm -f `find -type f -name "perllocal.pod"`
rm -f `find -type f -name "*.bs"`
rm -f `find -type f -name .packlist`
popd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/etc
/usr
